Bug 47161 - Manager ignores executors on status pages
Manager ignores executors on status pages
Product: Tomcat 6
Classification: Unclassified
Component: Manager application
All All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2009-05-06 07:20 UTC by Mark Thomas
Modified: 2009-12-21 11:16 UTC (History)
0 users

Patch for 6.0.x (6.36 KB, application/octet-stream)
2009-09-15 15:05 UTC, Mark Thomas
Patch V2 (2.77 KB, patch)
2009-10-03 13:47 UTC, Mark Thomas
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Thomas 2009-05-06 07:20:31 UTC
When displaying the thread pools, the StatusManagerServlet ignores executors and uses the 'standard' ThreadPool information for each connector. This causes incorrect information to be displayed when a connector is configured to use an executor.

On a related topic, it appears that the connector<->executor link is not exposed via JMX (which it will need to be to fix this).
Comment 1 Mark Thomas 2009-09-15 15:05:55 UTC
Created attachment 24272 [details]
Patch for 6.0.x

Trunk has been fixed and a patch is attached for 6.0.x. The patch ensures that the thread counts returned are correct with or without an executor.
Comment 2 Mark Thomas 2009-09-15 15:08:54 UTC
The patch has been proposed for 6.0.x
Comment 3 Mark Thomas 2009-10-03 13:27:52 UTC
Comment on attachment 24272 [details]
Patch for 6.0.x

The patch has been withdrawn as it creates unwanted dependencies
Comment 4 Mark Thomas 2009-10-03 13:47:10 UTC
Created attachment 24341 [details]
Patch V2

New patch. Can't address issue completely in 6.0.x without fairly invasive changes. Ensure -1 is returned consistently for maxThreads if an executor is in use and return a correct value for the NIO connector where we can.
Comment 5 Mark Thomas 2009-10-03 13:49:23 UTC
The new patch has been proposed for 6.0.x
Comment 6 Mark Thomas 2009-12-21 11:16:51 UTC
This has been fixed in trunk and will be included in 6.0.21 onwards.